A host's calendars, hours and buffers
GET
/v1/workspace/meetings/hosts/{user_id}/schedule
const url = 'https://api.vocapable.com/v1/workspace/meetings/hosts/example/schedule';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/meetings/hosts/example/schedule \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
User Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceHostSchedule
object
user_id
required
User Id
string
calendar
required
WorkspaceHostCalendar
What a host’s calendar can do for a booking, stated exactly.
object
state
required
State
string
calendars
required
Calendars
Array<object>
WorkspaceCalendarChoiceobject
id
required
Id
string
label
required
Label
string
writable
required
Writable
boolean
working_hours
required
Working Hours
object
key
additional properties
Array<Array<string>>
buffer_before_minutes
required
Buffer Before Minutes
integer
buffer_after_minutes
required
Buffer After Minutes
integer
event_types
required
detail
required
Detail
string
connect_path
required
Connect Path
string
allow_share_booking
required
Allow Share Booking
boolean
share_duration_minutes
required
Share Duration Minutes
integer
Example
{ "calendar": { "state": "connected", "provider": "google_calendar" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}